Summary: A set of solitaire games for the X Window System.
Name: ace-rhcn
Version: 1.1
Release: 10
Copyright: GPL
Group: Amusements/Games
Url: http://www.delorie.com/store/ace/
Source0: ace-1.1.tar.gz
Source1: freecell.desktop
Source2: golf.desktop
Source3: mastermind.desktop
Source4: merlin.desktop
Source5: minesweeper.desktop
Source6: pegged.desktop
Source7: solitaire.desktop
Source8: taipedit.desktop
Source9: taipei.desktop
Source10: thornq.desktop
Source11: penguins.desktop
Patch: ace-1.1-autoconf.patch
Buildroot: /var/tmp/ace-root
ExcludeArch: alpha

%description
The Ace of Penguins is a set of solitaire games, based on the games
available for Windows(TM), for the X Window System. The Ace of
Penguins includes clones of Freecell, Golf, Mastermind, Merlin,
Minesweeper, Pegged, Solitaire, Taipei and Thornq (by Martin
Thornquist).

%prep
%setup -q -n ace-%{version}
%patch -p1 -b .autoconf

%build
# Ugly hack... But neccessary.
GIFS=`find . -name "*.gif"`
for i in $GIFS; do
    convert $i `echo $i |sed -e "s,gif,png,"`
done
mv lib/gif2pack.c lib/png2pack.c
rm -f $GIFS
find . -name "*.c" |xargs perl -pi -e "s,gif,png,g"
find . -name "*.c" |xargs perl -pi -e "s,Gif,Png,g"
find . -name "*.h" |xargs perl -pi -e "s,gif,png,g"
find . -name "*.h" |xargs perl -pi -e "s,Gif,Png,g"
find . -name "*.am" |xargs perl -pi -e "s,gif,png,g"
find . -name "*.am" |xargs perl -pi -e "s,Gif,Png,g"

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
for i in golf mastermind merlin minesweeper pegged solitaire taipedit taipei thornq penguins; do
  install -c -m644 $RPM_SOURCE_DIR/$i.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/bin/golf
%attr(755,root,root)/usr/bin/mastermind
%attr(755,root,root)/usr/bin/merlin
%attr(755,root,root)/usr/bin/minesweeper
%attr(755,root,root)/usr/bin/pegged
%attr(755,root,root)/usr/bin/solitaire
%attr(755,root,root)/usr/bin/taipedit
%attr(755,root,root)/usr/bin/taipei
%attr(755,root,root)/usr/bin/thornq
%attr(755,root,root)/usr/bin/penguins
%attr(-,root,root) %doc COPYING ChangeLog docs
%config /etc/X11/applnk/Games/*

%changelog
* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- fixed bug 25675 where the freecell binary conflicts with
  gnome-games. Freecell is no longer included in this package.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- excludearch alpha, dynamic loader is broken right now, causes "convert" to
  break during the build.

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build with current (gif-less) libgd
- fix build with current libtool
- wmconfig -> desktop
- fix some spec file braindamage
- handle RPM_OPT_FLAGS

* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added wmconfig files.

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built for powertools 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for powertools 6.0

* Thu Feb 25 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- built original RPM
